## denyhosts 2.10

=== Makefile ===
VERSION?=2.10

clean:
	rm -rf build
	rm -rf DenyHosts/*.pyc

tarball: clean
	cd .. && tar czf denyhosts-$(VERSION).tar.gz denyhosts --exclude=.git

## denyhosts 2.6

=== debian/changelog ===
denyhosts (2.6-7+deb6u3) squeeze-security; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload by the Security Team.
  * Fix regression another regression. Closes: 734329.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Jan 2014 22:32:10 +0100

denyhosts (2.6-7+deb6u2) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix regression with patterns made too restrictive.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 22 Dec 2013 12:19:50 +0100

denyhosts (2.6-7+deb6u1) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address CVE-2013-6890. Also Closes: #692229.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 22 Dec 2013 11:56:20 +0100

denyhosts (2.6-7) unstable; urgency=low

  * Acknowledge NMU (Thanks, Michael!) (Closes: #566688)
  * Fix sinchronization spelling in extended description. (Closes: #535273)
  * Add period at the end of the extended description.
  * Update Standards-Version to 3.8.4 (no changes required).
  * Switch to source format 3.0 (quilt)
  * Install upstream changelog (found by Lintian).
  * Add Vcs-* and Homepage fileds in control file.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 08 Feb 2010 15:54:13 +0100

denyhosts (2.6-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Do not unconditionally delete logrotate file in postrm script. This breaks
    all upgrades or makes the file silently disappear, although it should be
    installed by the package. Patch the old postrm script to not delete the
    file anymore. (Closes: #531627, #562555)

 -- Michael Meskes <meskes@debian.org>  Sun, 24 Jan 2010 15:37:15 +0100

denyhosts (2.6-6) unstable; urgency=low

  * fixed wrong warns in init script. Thanks to Marco Rodrigues 
    <gothicx@sapo.pt> (Closes: 518337)
  * introduced a patch to create the sync-timestamp file if doesn't exist. 
    Thanks to Marco Rodrigues <gothicx@sapo.pt> (Closes: 508504, 510126)
  * fixed import from _future_ module in dh_reenable (Closes: 507494)
  * applied useful patch from Mathieu Goutelle <mgoutell@users.sourceforge.net>
    for correct a regexp issue (Closes: 459808)
  * changed group owner for logfiles to adm (Closes: 431301)
  * added some information in manpage that describe the default running mode 
    in debian. Thanks to Ben Crowell <crowell09@lightandmatter.com>
  * capitalized ssh in short and extended description (Closes: 516068)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Sat, 03 Jan 2009 15:02:11 +0000

denyhosts (2.6-5) unstable; urgency=low

  * added useful patch that make PLUGIN_DENY works (Closes: 430449)
  * cleaned-up a forgotten and not used patch from package
  * added useful patch for dh_reenable from Todd A. Jacobs 
    <tjacobs-kw-reportbug.e56379@codegnome.org> that make dh_reenable
    able to work with a personalized HOSTS_DENY file (Closes: 501541)
  * fixed a little typo in init script

 -- Marco Bertorello <marco@bertorello.ns0.it>  Fri, 10 Oct 2008 13:34:12 +0000

denyhosts (2.6-4) unstable; urgency=low

  * debian/denyhosts.init: added --purge switch. This not affects installation 
    that have not a value in PURGE_DENY variable into configuration 
    Introduced dh_reenable, tool that help in common task of reenable a denied
    host.
    (Closes: 478520)
  * Fixed typo in short description (Closes: 466902)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Thu,  3 Jul 2008 13:30:23 +0000

denyhosts (2.6-3) unstable; urgency=low

  * debian/denyhosts.init: check if HOSTS_DENY file exist and, if not, 
    create it (Closes: 430436)
  * debian/denyhosts.postrm: remove logrotate on purge and remove (thanks 
    to Valery V. Vorotyntsev) (Closes: 444955)
  * changed mentions "hackers" instead of "crackers" in package descriptions
    (Closes: 436183)
  * added useful patch from Robert Edmonds to run denyhosts in foreground mode
    (Closes: 375303)
  * updated to new standard version 3.7.3 (Insered a linda-override)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Mon, 08 Jan 2008 13:18:17 +0100

denyhosts (2.6-2.1) unstable; urgency=high

  * Non-maintainer upload for testing security team
  * Included 07_fix_CVE-2007-4323.dpatch to fix
    CVE-2007-4323 (Closes: #438162).

 -- Nico Golde <nion@debian.org>  Thu, 16 Aug 2007 02:41:59 +0200

denyhosts (2.6-2) unstable; urgency=low

  * Added a patch from RedHat bugzilla that fix a regex error 
    (Closes: #425519, #406429)
  * Removed mention of Python in package description (Closes: 410486)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Tue, 22 May 2007 20:15:55 +0200

denyhosts (2.6-1) unstable; urgency=high

  * New upstram release (Closes: #401795)
    This release cover a security issue (CVE-2006-6301)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Mon, 11 Dec 2006 14:40:35 +0100

denyhosts (2.5-4) unstable; urgency=low

  [ Marco Nenciarini ]
  * debian/denyhosts.postrm: removed bashism
  * Get rid of transitional packages denyhosts-python2.3,
    denyhosts-python2.4 and denyhosts-common

  [ Marco Bertorello ]
  * debian/denyhosts.prerm: added workarround to "Install fails if
    previous version daemon not running" bug found in pre 2.5-3 versions
    (Closes: #393461)
  * debian/denyhosts.logrotate: removed minimal size of logfile for rotation 
    (Closes: #397452)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Tue,  7 Nov 2006 16:46:24 +0100

denyhosts (2.5-3) unstable; urgency=low

  [ Marco Nenciarini ]
  * debian/rules: add /var/lib/denyhosts directory to denyhosts
  * debian/denyhosts.postrm: remove log and /var/lib/denyhosts duning purge
  * debian/denyhosts.init:
    + use pidfile and kill -0 to detect if daemon is runnig to avoid false
      negative if python version is changed after last start.
    + factorized start code

  [ Marco Bertorello ]
  * Some initscript cleaning:
    + does not use --exec switch with start-stop-daemon during stop
    invocation because it can cause --purge doesn't work. (Closes: #387682)


=== debian/control ===
Source: denyhosts
Section: net
Priority: optional
Maintainer: Marco Bertorello <marco@bertorello.ns0.it>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 6), python, python-central (>= 0.5)
Standards-Version: 3.8.4
XS-Python-Version: current
Vcs-Svn: svn+ssh://svn.debian.org/svn/collab-maint/ext-maint/denyhosts/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/denyhosts/trunk/?op=log
Homepage: http://denyhosts.sourceforge.net/

Package: denyhosts
Architecture: all
Depends: lsb-base (>= 3.1-10), ${python:Depends}, ${misc:Depends}
Conflicts: denyhosts-common, denyhosts-python2.3, denyhosts-python2.4
Replaces: denyhosts-common, denyhosts-python2.3, denyhosts-python2.4
XB-Python-Version: ${python:Versions}
Description: a utility to help sys admins thwart SSH crackers
 DenyHosts is a program that automatically blocks SSH
 brute-force attacks by adding entries to /etc/hosts.deny.
 It will also inform Linux administrators about offending
 hosts, attacked users and suspicious logins.
 .
 Synchronization with a central server is possible too.
 .
 Differently from other software that do same work, denyhosts
 doesn't need support for packet filtering or any other kind
 of firewall in your kernel.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
#
# Customized for denyhosts by Marco Bertorello and Marco Nenciarini
#

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_PRIVATE_MODULES_DIRS = /usr/share/denyhosts/DenyHosts
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0 --force \
	--install-scripts=/usr/sbin \
	--install-purelib=/usr/share/denyhosts

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DIRS_denyhosts := var/lib/denyhosts
DEB_INSTALL_MANPAGES_denyhosts := debian/denyhosts.8
DEB_INSTALL_DOCS_denyhosts := debian/FAQ.html
DEB_INSTALL_EXAMPLES_denyhosts := scripts plugins
DEB_INSTALL_CHANGELOGS_ALL := CHANGELOG.txt

DEB_COMPRESS_EXCLUDE := .py

install/denyhosts::
	mv $(DEB_DESTDIR)/usr/sbin/denyhosts.py $(DEB_DESTDIR)/usr/sbin/denyhosts
	mv $(DEB_DESTDIR)/usr/sbin/daemon-control-dist $(DEB_DESTDIR)/usr/share/denyhosts/denyhosts_ctl.py
	install -D -m 0644 denyhosts.cfg-dist $(DEB_DESTDIR)/etc/denyhosts.conf
	install -D -m 0754 debian/dh_reenable $(DEB_DESTDIR)/usr/share/denyhosts/DenyHosts/dh_reenable

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php denyhosts-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/denyhosts-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/denyhosts-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
#http://sf.net/denyhosts/denyhosts-(.*)\.tar\.gz
http://sf.net/denyhosts/DenyHosts-(.*)\.tar\.gz  debian  uupdate

## denyhosts 2.10

=== debian/changelog ===
denyhosts (2.10-2) unstable; urgency=medium

  * Remove Kyle Willmon as Maintainer of this package upon his request.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Wed, 30 Sep 2015 06:27:37 +0200

denyhosts (2.10-1) unstable; urgency=medium

  * New maintainer, returning denyhosts into Debian. Closes: #788994
  * New upstream release 2.10. Closes: #787798, #772675, #748080
  * New upstream code repository, now maintained at GitHub
  * Update Standards-Version to 3.9.6 (no changes required)
  * Use upstream denyhosts(8) manpage, which was copied from this package
  * Remove patches that have been accepted upstream
  * Remove --purge flag from daemon command line. Closes: #772670
  * Remove dh_reenable script. It has been made superfluous by
    the --purgeip command line option. Closes: #757353

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Sun, 27 Sep 2015 20:28:43 +0200

denyhosts (2.6-10+deb7u3) wheezy-security; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload by the Security Team.
  * Fix another regression. Closes: 734329.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 Jan 2014 22:38:21 +0100

denyhosts (2.6-10+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix regression with patterns made too restrictive.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 22 Dec 2013 12:17:44 +0100

denyhosts (2.6-10+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address CVE-2013-6890. Also Closes: #692229.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 22 Dec 2013 11:55:11 +0100

denyhosts (2.6-10) unstable; urgency=low

  [ Marco Nenciarini ]
  * [526c9cb] Switch vcs fields to git
  * [ae3d952] Add debian/gbp.conf to make easy the usage of git-buildpackage
    and gbp-pq
  * [59c1cc1] Convert all patches to gbp-pq compatible format
  * [7d0f0dd] Remove the dh_make standatd template from the watch file

  [ Kyle Willmon ]
  * [62965a5] Fixed 06_permit_rootlogin_no to match hostnames (Closes: #462926)
  * [6d355a6] Fixed section for installed FAQ
  * [d392fc9] Updated description removes lintian warning
  * [5fd3570] Revert patch which did not actually fix #508504 (Closes: #546772)
  * [b23dade] Bump standards version
  * [88a069e] Remove Conflicts and Replaces from old transition
  * [caa300f] Convert from cdbs with python-central to debhelper with
    dh_python2 and bump compat
  * [32c638a] Remove upgrade workaround for bug in < 2.5-3
  * [b94d5d6] Add support for /run
  * [a4d9eaa] Fix whitespace issue in 04_migrate_warning.patch
  * [ae61317] Correct Vcs-* fields after Alioth transition

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 17 Aug 2011 10:20:29 +0200

denyhosts (2.6-9) unstable; urgency=low

  * New Maintainer (Closes: #614581)
  * debian/denyhosts.logrotate: Do not source /etc/denyhosts.conf since it may
    not be a valid shell script (Closes: #608672)
  * debian/dh_reenable: Added reasonable error message when script is not run
    as root (Closes: #619390)
  * debian/denyhosts.init:
    - Added support for the "status" action (Closes: #547036)
    - Fixed messages in "restart" and "force-reload" actions which were being
      output incorrectly.
  * Updated Vcs tags to recommended format
  * Added a patch to correct /bin/env to /usr/bin/env
  * debian/denyhosts.doc-base: Added to register FAQ with doc-base
  * Fixed postinst script to make /var/lib/denyhosts 0750 instead of 0200

 -- Kyle Willmon <kylewillmon@gmail.com>  Wed, 13 Apr 2011 10:23:11 -0500

denyhosts (2.6-8.1) unstable; urgency=low

  * Non-maintainer Upload
  
  * denyhosts.postinst: Don't fail if /var/lib/denyhosts exists.  Closes:
    #607207.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Dec 2010 20:12:00 -0600

denyhosts (2.6-8) unstable; urgency=low

  * Explicited in package description that denyhosts doesn't support IPv6.
    (Closes: #541401, #464135)
  * Applied a patch from ubuntu that prevent dh to start with 
    configuration twice.
  * Fixed permission of log files and configuration file to be 
    root-readable only. (Closes: #573585, #573585)
  * Update Standards-Version to 3.9.1.
  * Modified logrotate script to clean the hosts.deny file (or the 
    personalized one) from duplicates entry. (Closes: #605632)

 -- Marco Bertorello <marco@bertorello.ns0.it>  Tue, 15 Dec 2010 00:42:08 +0100

=== debian/control ===
Source: denyhosts
Section: net
Priority: optional
Maintainer: Jan-Pascal van Best <janpascal@vanbest.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), dh-python, dh-systemd (>= 1.3)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/denyhosts.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/denyhosts.git
Homepage: https://github.com/denyhosts/denyhosts

Package: denyhosts
Architecture: all
Depends: lsb-base (>= 3.1-13), ${python:Depends}, ${misc:Depends}
Description: Utility to help sys admins thwart SSH crackers
 DenyHosts is a program that automatically blocks SSH
 brute-force attacks by adding entries to /etc/hosts.deny.
 It will also inform Linux administrators about offending
 hosts, attacked users and suspicious logins.
 .
 Synchronization with a central server is possible too.
 .
 Differently from other software that do same work, denyhosts
 doesn't need support for packet filtering or any other kind
 of firewall in your kernel.
 .
 DenyHosts unfortunately does not support IPv6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
#
# Customized for denyhosts by Marco Bertorello and Marco Nenciarini
#

DESTDIR := debian/denyhosts

%:
	dh --with python2,systemd $@

#Disabled; some tests only fail when building Debian package
#override_dh_auto_test:
#	python -m unittest discover tests	

override_dh_auto_install:
	python setup.py install --no-compile -O0 --force \
	  --install-scripts=$(DESTDIR)/usr/sbin \
	  --install-purelib=$(DESTDIR)/usr/share/denyhosts
	mv $(DESTDIR)/usr/sbin/denyhosts.py $(DESTDIR)/usr/sbin/denyhosts
	mv $(DESTDIR)/usr/sbin/daemon-control-dist $(DESTDIR)/usr/share/denyhosts/denyhosts_ctl.py
	install -D -m 0640 denyhosts.conf $(DESTDIR)/etc/denyhosts.conf

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.txt

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/denyhosts-$1\.tar\.gz/ \
  https://github.com/denyhosts/denyhosts/tags .*/v?(\d\S*)\.tar\.gz debian uupdate
